% -------------------------------------------------------------------------
% function HfssAssignRadiationFaces(fid, HName, HObject)
% 
% Popis funkce :
% -------------
% Funkce potrebna k vytvoreni okrajovych podminek.(boundary)
%
% Parametery :
% ------------
% fid     - soubor identifikujici HFSS script.
% HName    - jmeno hranic vyzarovani (pod HFSS).
% HFaces  - plocha u ktere jsou nastavany okrajove podminky.
% 
%
% Priklad pouziti funkce :
% ---------
% fid = fopen('antenna.m', 'wt');
% ... 
% HfssAssignRadiationFaces(fid, 'ABC', 183);
% -------------------------------------------------------------------------
function HfssAssignRadiationFaces(fid, HName, HFaces)
global Module Design

%Zapis do souboru temp
fprintf(fid,'%% Ziskani cisla strany.\n');
fprintf(fid,'Module = Design.GetModule(''BoundarySetup'');\n');
fprintf(fid,['Module.AssignRadiation({''NAME:',HName,''',...\n']);
fprintf(fid,['''Faces:='',{',num2str(HFaces),'}});\n\n']);

% %Prime vykonani v programu HFSS
% Module = Design.GetModule('BoundarySetup');
% Module.AssignRadiation({['NAME:',HName],...
% 'Objects:=',{HBoxObject}});

%Prime vykonani v programu HFSS
Module = Design.GetModule('BoundarySetup');
Module.AssignRadiation({['NAME:',HName],...
'Faces:=',{HFaces}});

end